Subject: Re: HF modem support

From: Sergey Matveev <[email-masked]>
Date: Wed, 18 Mar 2026 13:45:05 +0300

*** Rafael Diniz [2026-03-18 00:32]:
>So, I hammered a bit, I got my first successful nncp transmission over the air!

Cool!

>There are still some rough edges to fix, but more importantly, could anyone
>give me a feedback on the removal of padding of the first frame?
>Here is the diff:
>https://github.com/Rhizomatica/nncp/commit/07c5cf5b244140fe4960f210b45017d449f17719

Personally I would prefer to add an option to configuration file to
disable padding, but automatically setting it depending on "hf" link
will also work of course. I think this is ok, should work.

-- 
Sergey Matveev (http://www.stargrave.org/)
LibrePGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A